Ryzehosting
  1. server
Ryzehosting
  • account
    • redeem voucher
      POST
    • save address
      POST
    • affiliate stats
      GET
    • transactions
      GET
    • get address
      GET
    • dashboard
      GET
    • balance
      GET
    • session
      GET
  • domain
    • whois privacy update
      POST
    • whois privacy get
      GET
    • contact update
      POST
    • nameservers
      POST
    • dns-records
      GET
    • contact get
      GET
    • dns update
      POST
    • authcode
      POST
    • pricelist
      GET
    • details
      GET
    • check
      POST
    • order
      POST
    • list
      GET
  • server
    • ipaddresses
      GET
    • password
      POST
    • hardware
      GET
    • reinstall
      POST
    • rrddata
      GET
    • cancel
      POST
    • status
      GET
    • prices
      GET
    • config
      GET
    • renew
      POST
    • power
      POST
    • hosts
      GET
    • order
      POST
    • vnc
      GET
    • list
      GET
    • ptr
      POST
    • os
      GET
  • webspace
    • packages
    • details
    • renew
    • status
    • order
    • list
  • ryzectrl
    • packages
    • details
    • renew
    • order
    • list
  • ticket
    • messages
    • message
    • details
    • create
    • open
    • close
    • list
  • tools
    • Create UUID
    • Iban Verify
    • Network
    • NoVNC
    • Whois
  • Schemas
    • Unauthorized
    • Success
  1. server

hosts

GET
server/hosts

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************

Responses

🟢200Success
application/json
Body

🟠401Unauthorized
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://dash.ryzehosting.com/api/v2/server/hosts' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Success
{
    "response": "Successfully fetched hosts list",
    "state": "success",
    "code": 200,
    "data": {
        "nl_xeon": [
            {
                "name": "XEON01",
                "type": "nl_xeon",
                "hardware": {
                    "processor": "Xeon E5-2697 v4",
                    "memory": "HPE 809085-091 64GB DDR4-2400MHz",
                    "nvme_hard_drives": "Samsung PM9A3 M.2 1.92TB NVMe"
                },
                "location": {
                    "name": "SkyLink Data Center BV",
                    "displayname": "SkyLink Data Center BV",
                    "country": "Niederlande",
                    "city": "Eygelshoven"
                }
            },
            {
                "name": "XEON02",
                "type": "nl_xeon",
                "hardware": {
                    "processor": "Xeon E5-2697 v4",
                    "memory": "HPE 809085-091 64GB DDR4-2400MHz",
                    "nvme_hard_drives": "WD Black SN850X M.2 2TB NVMe"
                },
                "location": {
                    "name": "SkyLink Data Center BV",
                    "displayname": "SkyLink Data Center BV",
                    "country": "Niederlande",
                    "city": "Eygelshoven"
                }
            },
            {
                "name": "XEON03",
                "type": "nl_xeon",
                "hardware": {
                    "processor": "Xeon E5-2697A v4",
                    "memory": "HPE 809085-091 64GB DDR4-2400MHz",
                    "nvme_hard_drives": "Samsung PM983 M.2 3.84TB NVMe"
                },
                "location": {
                    "name": "SkyLink Data Center BV",
                    "displayname": "SkyLink Data Center BV",
                    "country": "Niederlande",
                    "city": "Eygelshoven"
                }
            }
        ],
        "nl_ryzen": [
            {
                "name": "RYZEN02",
                "type": "nl_ryzen",
                "hardware": {
                    "processor": "AMD Ryzenâ„¢ 9 9950X",
                    "memory": "Crucial Pro 64GB DDR5-5600 UDIMM",
                    "nvme_hard_drives": "Samsung PM9A3 U.2 1.92TB NVMe"
                },
                "location": {
                    "name": "SkyLink Data Center BV",
                    "displayname": "SkyLink Data Center BV",
                    "country": "Niederlande",
                    "city": "Eygelshoven"
                }
            },
            {
                "name": "RYZEN01",
                "type": "nl_ryzen",
                "hardware": {
                    "processor": "AMD Ryzenâ„¢ 9 9950X",
                    "memory": "Crucial Pro 64GB DDR5-5600 UDIMM",
                    "nvme_hard_drives": "Samsung PM9A3 U.2 1.92TB NVMe"
                },
                "location": {
                    "name": "SkyLink Data Center BV",
                    "displayname": "SkyLink Data Center BV",
                    "country": "Niederlande",
                    "city": "Eygelshoven"
                }
            },
            {
                "name": "RYZEN03",
                "type": "nl_ryzen",
                "hardware": {
                    "processor": "AMD Ryzenâ„¢ 9 9950X",
                    "memory": "Crucial Pro 64GB DDR5-5600 UDIMM",
                    "nvme_hard_drives": "Samsung PM9A1 M.2 2TB NVMe"
                },
                "location": {
                    "name": "SkyLink Data Center BV",
                    "displayname": "SkyLink Data Center BV",
                    "country": "Niederlande",
                    "city": "Eygelshoven"
                }
            },
            {
                "name": "5900X01",
                "type": "nl_ryzen5900x",
                "hardware": {
                    "processor": "Ryzen 9 5900X",
                    "memory": "Avant Technology 32GB DDR4‑3200 UDIMM",
                    "nvme_hard_drives": "Samsung PM9A1 M.2 2TB NVMe"
                },
                "location": {
                    "name": "SkyLink Data Center BV",
                    "displayname": "SkyLink Data Center BV",
                    "country": "Niederlande",
                    "city": "Eygelshoven"
                }
            }
        ]
    }
}
Modified at 2026-01-01 02:48:52
Previous
power
Next
order
Built with